From 24c535e41b71cf6fdc22216b3c4196264e247880 Mon Sep 17 00:00:00 2001
From: "Jason A. Donenfeld" <Jason@zx2c4.com>
Date: Thu, 24 Apr 2014 19:11:11 +0200
Subject: show: error out if password store is empty.

---
 src/password-store.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/password-store.sh b/src/password-store.sh
index c3824f9..5e9fb03 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -332,8 +332,11 @@ cmd_show() {
 			echo "${path%\/}"
 		fi
 		tree -C -l --noreport "$PREFIX/$path" | tail -n +2 | sed 's/\.gpg$//'
+	elif [[ -z $path ]]; then
+		echo "Error: password store is empty. Try \"pass init\"."
+		exit 1
 	else
-		echo "$path is not in the password store."
+		echo "Error: $path is not in the password store."
 		exit 1
 	fi
 }
-- 
cgit v1.2.3